Bug 238365 - Update default MySQL version to 5.7
Summary: Update default MySQL version to 5.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-06 14:10 UTC by Alex Dupre
Modified: 2019-07-01 07:44 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
Patch (1.11 KB, patch)
2019-06-06 14:10 UTC, Alex Dupre
no flags Details | Diff
Updated patch (16.42 KB, patch)
2019-06-14 08:32 UTC, Alex Dupre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Dupre freebsd_committer 2019-06-06 14:10:00 UTC
Created attachment 204859 [details]
Patch

MySQL 5.6 is too old and misses many useful features. MySQL 8.0 is too young and may create incompatibily issues. MySQL 5.7 should be a straightforward update.
Comment 3 Alex Dupre freebsd_committer 2019-06-14 08:32:57 UTC
Created attachment 205056 [details]
Updated patch

As expected, most failures are from abandonware software designed for MySQL 5.1. I've added the correct IGNORE lines for them, and fixed amarok and mysql-connector-odbc.
Comment 4 Antoine Brodin freebsd_committer 2019-06-26 15:47:11 UTC
Exp-run looks fine.
Comment 5 commit-hook freebsd_committer 2019-07-01 07:44:00 UTC
A commit references this bug:

Author: ale
Date: Mon Jul  1 07:43:36 UTC 2019
New revision: 505549
URL: https://svnweb.freebsd.org/changeset/ports/505549

Log:
  Update default MySQL version to 5.7.

  PR:		238365
  Submitted by:	ale
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
  head/Mk/Uses/mysql.mk
  head/Mk/bsd.default-versions.mk
  head/UPDATING
  head/audio/amarok/Makefile
  head/audio/amarok/files/patch-cmake_modules_FindMySQL.cmake
  head/databases/apq-mysql/Makefile
  head/databases/ateam_mysql_ldap_auth/Makefile
  head/databases/mroonga/Makefile
  head/databases/mysac/Makefile
  head/databases/mysql-connector-odbc/Makefile
  head/databases/mysql-connector-odbc/distinfo
  head/databases/mysql-connector-odbc/files/patch-CMakeLists.txt
  head/databases/mysql-connector-odbc/files/patch-driver_catalog_no_i_s.c
  head/databases/mysql-connector-odbc/files/patch-driver_desc.c
  head/databases/mysql-connector-odbc/files/patch-driver_handle.c
  head/databases/mysql-connector-odbc/files/patch-driver_parse.c
  head/databases/mysql-connector-odbc/files/patch-util_odbcinstw.c
  head/databases/mysql-q4m/Makefile
  head/databases/mysqlbigram/Makefile